<button (click)="toggleAddForm()">add new task</button>
<div class="totalTasks">Total tasks were added: {{ totalTasksAmount }}</div>
<div class="addTask" [class.addTaskVisible]="addState">
  <form (ngSubmit)="addTask(taskTitle.value, taskDescription.value)" *ngIf="addState">
    <fieldset class="addTaskFieldset">
      <legend class="addTaskLegend">add new task</legend>
      <div class="formField">
        <label class="addTaskLabel" for="task-title">task title</label>
        <input class="addTaskControl" #taskTitle type="text" name="task-title" id="task-title"
                placeholder="task title" autofocus>
      </div>
      <div class="formField">
        <label class="addTaskLabel" for="task-description">task description</label>
        <input class="addTaskControl" #taskDescription type="text"
                name="task-description" id="task-description"
                placeholder="task description">
      </div>
    </fieldset>
    <button>add</button>
    <button type="button" (click)="toggleAddForm()">cancel</button>
  </form>
</div>
